Bug 254220 - Error first time run-parts is run
Error first time run-parts is run
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: crontabs (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
: 258541 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-24 16:12 EDT by Orion Poplawski
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-27 02:34:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-08-24 16:12:25 EDT
Description of problem:


Version-Release number of selected component (if applicable):

First time run-parts is run:

cat: /var/spool/anacron/cron.daily: No such file or directory
/usr/bin/run-parts: line 5: [: ==: unary operator expected

This should fix:


--- /usr/bin/run-parts.orig     2007-08-24 14:08:31.000000000 -0600
+++ /usr/bin/run-parts  2007-08-24 14:08:48.000000000 -0600
@@ -2,7 +2,7 @@
 # if cron.daily was run today
 AUX1=`cat /var/spool/anacron/cron.daily`
 AUX2=`date +%Y%m%d`
-[ $AUX1 == $AUX2 ] || exit 0
+[ "$AUX1" == $AUX2 ] || exit 0

 # run-parts - concept taken from Debian
Comment 1 Marcela Mašláňová 2007-08-27 02:34:44 EDT
Fixed in devel version of crontabs-1.10-16
Comment 2 Marcela Mašláňová 2007-08-28 02:59:50 EDT
*** Bug 258541 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.